### File

`packages/eui/packages/components-next/src/lib/components/eui-picker/eui-picker.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `ControlValueAccessor`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiPickerComponent), multi: true, }`
selector | `eui-picker`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-picker.component.html`

### Index

###### Properties
_hasNbSelectedInfo _hasSearchFilter isDisabled itemsSelected itemsState
###### Methods
openModal Public registerOnChange Public registerOnTouched Public setDisabledState Public writeValue
###### Inputs
hasNbSelectedInfo hasSearchFilter items modalTitle pickerTitle placeholder
###### Outputs
accept change clickOutside close dismiss itemsChange
###### HostBindings
class
###### Accessors
hasSearchFilter hasNbSelectedInfo

### Constructor

`constructor(euiDialogService: EuiDialogService, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
euiDialogService | `EuiDialogService` | No
cd | `ChangeDetectorRef` | No

### Inputs

hasNbSelectedInfo

hasSearchFilter

items
Type : `EuiPickerItem[]`
Default value : `[]`

modalTitle
Default value : `''`

pickerTitle
Type : `string`

placeholder
Default value : `''`

### Outputs

accept
Type : `EventEmitter<any>`

change
Type : `EventEmitter<EuiPickerItem[]>`

clickOutside
Type : `EventEmitter<any>`

close
Type : `EventEmitter<any>`

dismiss
Type : `EventEmitter<any>`

itemsChange
Type : `EventEmitter`

### HostBindings

class

### Methods

openModal
`openModal()`
Returns : `void`

Public registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

Public writeValue
`writeValue(value: EuiPickerItem[])`
Parameters :
Name | Type | Optional
value | `EuiPickerItem[]` | No
Returns : `void`

### Properties

_hasNbSelectedInfo
Default value : `false`

_hasSearchFilter
Default value : `false`

isDisabled
Default value : `false`

itemsSelected
Type : `EuiPickerItem[]`
Default value : `[]`

itemsState
Type : `literal type`

### Accessors

hasSearchFilter
set `hasSearchFilter(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

hasNbSelectedInfo
set `hasNbSelectedInfo(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""